OneBasket

Set delivery method

POST
/baskets/{id}/provider/{providerBasketId}/set-delivery-method

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The id of the basket

providerBasketId*string

The id of the provider basket basket

Header Parameters

x-api-key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/baskets/string/provider/string/set-delivery-method" \  -H "x-api-key: string" \  -H "Content-Type: application/json" \  -d '{    "deliveryMethod": {      "kioskId": "string",      "collectionTime": "2019-08-24T14:15:22Z",      "collectionId": "string",      "seatId": "string",      "type": "Digital",      "id": "string"    }  }'
{  "notificationId": "string"}